# Deprecated API

## Contents

- For Removal
- Methods

- For Removal
  Element | Description
  --- | ---
  jakarta.el.ArrayELResolver.getFeatureDescriptors​(ELContext, Object) |
  jakarta.el.BeanELResolver.getFeatureDescriptors​(ELContext, Object) |
  jakarta.el.BeanNameELResolver.getFeatureDescriptors​(ELContext, Object) |
  jakarta.el.CompositeELResolver.getFeatureDescriptors​(ELContext, Object) |
  jakarta.el.ELResolver.getFeatureDescriptors​(ELContext, Object) | This method will be removed, without replacement, in EL 6.0 / Tomcat 11.
  jakarta.el.ListELResolver.getFeatureDescriptors​(ELContext, Object) |
  jakarta.el.MapELResolver.getFeatureDescriptors​(ELContext, Object) |
  jakarta.el.ResourceBundleELResolver.getFeatureDescriptors​(ELContext, Object) |
  jakarta.el.StaticFieldELResolver.getFeatureDescriptors​(ELContext, Object) | This method will be removed, without replacement, in EL 6.0 / Tomcat 11.
  jakarta.el.TypeConverter.getFeatureDescriptors​(ELContext, Object) |

- Methods
  Method | Description
  --- | ---
  jakarta.el.ArrayELResolver.getFeatureDescriptors​(ELContext, Object) |
  jakarta.el.BeanELResolver.getFeatureDescriptors​(ELContext, Object) |
  jakarta.el.BeanNameELResolver.getFeatureDescriptors​(ELContext, Object) |
  jakarta.el.CompositeELResolver.getFeatureDescriptors​(ELContext, Object) |
  jakarta.el.ELResolver.getFeatureDescriptors​(ELContext, Object) | This method will be removed, without replacement, in EL 6.0 / Tomcat 11.
  jakarta.el.ListELResolver.getFeatureDescriptors​(ELContext, Object) |
  jakarta.el.MapELResolver.getFeatureDescriptors​(ELContext, Object) |
  jakarta.el.ResourceBundleELResolver.getFeatureDescriptors​(ELContext, Object) |
  jakarta.el.StaticFieldELResolver.getFeatureDescriptors​(ELContext, Object) | This method will be removed, without replacement, in EL 6.0 / Tomcat 11.
  jakarta.el.TypeConverter.getFeatureDescriptors​(ELContext, Object) |